document.addEventListener('DOMContentLoaded', () => {
    document.querySelectorAll('.copy-button').forEach(button => {
      button.addEventListener('click', () => {
        const codeBlock = button.parentElement.querySelector('code').innerText;
        navigator.clipboard.writeText(codeBlock).then(() => {
          button.textContent = 'Copied!';
          setTimeout(() => {
            button.textContent = 'Copy Code';
          }, 2000);
        }).catch(err => {
          console.error('Failed to copy code: ', err);
        });
      });
    });
  });
  